from tkinter import *

# --------------------------------------------------------------------
# click() is a function (or definition). It is only called once below.
# your code to perform a Caeasr shift goes in here
def click() :
    # get the user's input!!!
    userLetter = letterEntry.get()
    
    # get the KEY (0<KEY<26)
    userKey = keyEntry.get()
    
    # clear the output box
    output.delete(0.0, END)
    
    # create an uppercase string .. your own output will go here
    newWord = userLetter.upper()
    
    output.insert(END, newWord)
#-----------------------------------------------------------------------        


# initialise the Tkinter window
win = Tk()
win.title("UI - Let Caesar Encrypt your Letter")
win.maxsize(width=600, height=200)
win.configure(background = "black")


#3 rows - INPUT the letter firstly....
Label(win, text = "Input your Letter", bg="light green", width = 30, height = 2).grid(row = 1,column=0, sticky=W)
#Entry displays a box; you can then get() the text written into the box.
letterEntry = Entry(win, bg="white")
letterEntry.grid(row=1, column=1, sticky=W)

# .......INPUT the KEY secondly....
Label(win, text = "Input your Key (1-25)", bg="light green", width = 30, height = 2).grid(row = 2,column=0, sticky=W)
#Entry displays a box; you can then get() the text written into the box.
keyEntry = Entry(win, bg="white")
keyEntry.grid(row=2, column=1, sticky=W)


# .. and OUTPUT.
#The colours are written here in hexadecimal, just to show a common alternative to a string description.
#The format is #RRGGBB.
Label(win, text="The Encrypted Letter ", bg = "#00ffff", width=30, height=2).grid(row = 3,column=0, sticky=W)
output = Text(win, width=15, height=1, wrap=WORD, background="#ffffff")
output.grid(row = 3, column=1, sticky=W)
Label(win,width=40, bg="#000000").grid(row= 4, column=0, sticky=W)



button = Button(win, text="Submit the letter", command=click).grid(row=5,column=0, sticky=W)
qbutton = Button(win, text="QUIT", command=win.destroy).grid(row=5, column=2, sticky=W)

win.mainloop()      # infinite loop to capture events
